List all integration models

Returns all the integration models in Itential Platform.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

containsstringOptional
Filter the response based on each item that includes the provided query.
containsFieldenumOptional
containsField
Allowed values:
equalsstringOptional
Filter the response based on each item that is an exact match to the provided query.
equalsFieldenumOptional
equalsField
Allowed values:
startsWithstringOptional
Filter the response based on each item that starts with the provided query.
startsWithFieldenumOptional
startsWithField
Allowed values:
skipintegerOptional>=0Defaults to 0
skip
limitintegerOptional>=0Defaults to 25
limit
sortenumOptional
Field to sort by. Default is versionId.
Allowed values:
orderenumOptional
order
Allowed values:

Response

Contains the data for all integration models.
integrationModelsobject
totalinteger>=0
The total number of documents

Errors

500
Internal Server Error